package com.atguigu.auth.service;

import com.atguigu.model.system.RoleByUser;
import com.atguigu.model.system.SysRole;
import com.atguigu.vo.system.AssginRoleVo;
import com.atguigu.vo.system.SysRoleQueryVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

public interface SysRoleService extends IService<SysRole> {
    /**
     * 角色条件分页查询
     *
     * @param page  当前页
     * @param limit 每页记录数
     * @param vo    查询条件
     * @return 分页结果
     */
    IPage<SysRole> pageResult(Long page, Long limit, SysRoleQueryVo vo);

    /**
     * 根据用户获取角色数据
     *
     * @param userId 用户id
     * @return 用户角色集合
     */
    RoleByUser findRoleByAdminId(Long userId);

    /**
     * 根据用户分配角色
     * @param vo 分配条件
     */
    void doAssign(AssginRoleVo vo);
}

